#!/bin/perl
#################################################################################
# Created       : Martin Foster
# Modified      : 11/19/2000
#################################################################################
#
# Global Who - Script part of Webchat designed to list who is currently on
# Copyright (C) 2000  Martin Foster
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
#
# Author of this script can be contacted at the following:
#       E-Mail  : mfoster@redwhite.com
#       Address : Suite 209 - 355 5th Ave NE
#                 Calgary, Alberta
#                 T2E 0K9
#
#################################################################################

use CGI qw(:standard);						# Common gateway interface
use CGI::Carp qw(fatalsToBrowser);				# CGI Error logs
use strict;							# Strict variable enforcement

use Webchat::Database;						# Database handler
use Webchat::Dbm; 						# DBM Addition
use Webchat::Login;						# Login functionality
use Webchat::Param;						# Parameter control
use Webchat::Who;						# Who is on


#################################################################################
# Data Members
#################################################################################
my $Database;							# Database handle
my $cgi;							# Common gateway interface handle

my %param;							# Parameter hash
my %realm;							# Realm hash


#################################################################################
# Program Area
#################################################################################

	$cgi = new CGI;						# Create CGI Handle

	Webchat::Database::DatabaseConnect(\$Database);		# Connect to MySQL
	Webchat::Param::GetParam($cgi, \%param);		# Retreive parameters
	Webchat::Dbm::DBMOpenRealm(\%realm);			# Link to Hash


	print $cgi->header();					# File header
	Webchat::Database::DocumentGetHeader($Database);	# HTML header

	
	# Display title
	print "$realm{'TagTitleWho'}\n<BR>\n";

	# Link to Portal
	unless (defined($param{'USER'}))
	{ print "<A HREF=\"$realm{LnkPortal}\">$realm{TagLogin}</A>\n<BR>\n"; }

	# Display who is on
	Webchat::Who::WhoGlobal($Database, $cgi, \%realm);

	Webchat::Database::DocumentGetFooter($Database);	# HTML footer
	Webchat::Dbm::DBMClose(\%realm);			# Unlink with DBM
	$Database->disconnect();				# Disconnect database handle
